Transfer between your accounts
curl --request POST \
--url https://api.talescria.com/v1/conversions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"quoteRef": "<string>",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"minorUnits": "<string>",
"idempotencyKey": "<string>"
}
'import requests
url = "https://api.talescria.com/v1/conversions"
payload = {
"quoteRef": "<string>",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"minorUnits": "<string>",
"idempotencyKey": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
quoteRef: '<string>',
fromAccountId: '<string>',
toAccountId: '<string>',
minorUnits: '<string>',
idempotencyKey: '<string>'
})
};
fetch('https://api.talescria.com/v1/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversion": {
"conversionRef": "<string>",
"kind": "conversion",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"from": "<string>",
"to": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>",
"status": "pending",
"quoteRef": "<string>",
"failureReason": "<string>",
"createdAt": 123,
"updatedAt": 123
}
}{
"conversion": {
"conversionRef": "<string>",
"kind": "conversion",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"from": "<string>",
"to": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>",
"status": "pending",
"quoteRef": "<string>",
"failureReason": "<string>",
"createdAt": 123,
"updatedAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Transfers
Transfer between your accounts
Moves money between two of your own accounts.
- Different currencies: pass
quoteReffrom Quote a transfer. The quote’s amounts are used. - Same currency: pass
minorUnits.
201 means the transfer was made or is on its way: pending means the money is reserved and hasn’t arrived yet. 200 means this idempotency key already named a transfer, which is returned.
Requires the transfers:write scope.
POST
/
v1
/
conversions
Transfer between your accounts
curl --request POST \
--url https://api.talescria.com/v1/conversions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"quoteRef": "<string>",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"minorUnits": "<string>",
"idempotencyKey": "<string>"
}
'import requests
url = "https://api.talescria.com/v1/conversions"
payload = {
"quoteRef": "<string>",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"minorUnits": "<string>",
"idempotencyKey": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
quoteRef: '<string>',
fromAccountId: '<string>',
toAccountId: '<string>',
minorUnits: '<string>',
idempotencyKey: '<string>'
})
};
fetch('https://api.talescria.com/v1/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversion": {
"conversionRef": "<string>",
"kind": "conversion",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"from": "<string>",
"to": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>",
"status": "pending",
"quoteRef": "<string>",
"failureReason": "<string>",
"createdAt": 123,
"updatedAt": 123
}
}{
"conversion": {
"conversionRef": "<string>",
"kind": "conversion",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"from": "<string>",
"to": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>",
"status": "pending",
"quoteRef": "<string>",
"failureReason": "<string>",
"createdAt": 123,
"updatedAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Headers
Body
application/json